# cv::WImageC< T, C > Class Template Reference

`#include <wimage.hpp>`

Inheritance diagram for cv::WImageC< T, C >:

List of all members.

## Public Types

enum | { kChannels = C }
typedef WImage< T >::BaseType | BaseType

## Public Member Functions

int | Channels () const
void | CopyFrom (const WImageC< T, C > &src)
WImageViewC< T, C > | View (int c, int r, int width, int height)
| WImageC (IplImage *img)
virtual | ~WImageC ()=0

## Protected Member Functions

void | operator= (const WImageC &)
void | SetIpl (IplImage *image)
| WImageC (const WImageC &)

### template<typename T, int C>
class cv::WImageC< T, C >

## Member Typedef Documentation

template<typename T, int C>

typedef WImage<T>::BaseType cv::WImageC< T, C >::BaseType

Reimplemented from cv::WImage< T >.

Reimplemented in cv::WImageBufferC< T, C >, and cv::WImageViewC< T, C >.

## Member Enumeration Documentation

template<typename T, int C>

anonymous enum

Enumerator:

  kChannels |

## Constructor & Destructor Documentation

template<typename T, int C>

cv::WImageC< T, C >::WImageC | ( | IplImage * | img ) | `[inline, explicit]`

template<typename T , int C>

cv::WImageC< T, C >::~WImageC | ( | ) | `[inline, pure virtual]`

template<typename T, int C>

cv::WImageC< T, C >::WImageC | ( | const WImageC< T, C > & | ) | `[protected]`

## Member Function Documentation

template<typename T, int C>

int cv::WImageC< T, C >::Channels | ( | ) | const`[inline]`

Reimplemented from cv::WImage< T >.

template<typename T, int C>

void cv::WImageC< T, C >::CopyFrom | ( | const WImageC< T, C > & | src ) | `[inline]`

template<typename T, int C>

void cv::WImageC< T, C >::operator= | ( | const WImageC< T, C > & | ) | `[protected]`

Reimplemented in cv::WImageViewC< T, C >.

template<typename T, int C>

void cv::WImageC< T, C >::SetIpl | ( | IplImage * | image ) | `[inline, protected]`

Reimplemented from cv::WImage< T >.

Reimplemented in cv::WImageBufferC< T, C >.

template<typename T , int C>

WImageViewC< T, C > cv::WImageC< T, C >::View | ( | int | c,
|  | int | r,
|  | int | width,
|  | int | height
| ) |  |

Reimplemented from cv::WImage< T >.

The documentation for this class was generated from the following file:

- /usr/obj/OpenCV-2.2.0/OpenCV-2.2.0/modules/core/include/opencv2/core/wimage.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines